#!/usr/bin/env node
'use strict';

var _updateNotifier = require('update-notifier');

var _updateNotifier2 = _interopRequireDefault(_updateNotifier);

var _isCi = require('is-ci');

var _isCi2 = _interopRequireDefault(_isCi);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _yargs = require('yargs');

var _yargs2 = _interopRequireDefault(_yargs);

var _create = require('./commands/create');

var _create2 = _interopRequireDefault(_create);

var _log = require('./commands/log');

var _log2 = _interopRequireDefault(_log);

var _login = require('./commands/login');

var _login2 = _interopRequireDefault(_login);

var _logout = require('./commands/logout');

var _logout2 = _interopRequireDefault(_logout);

var _publish = require('./commands/publish');

var _publish2 = _interopRequireDefault(_publish);

var _package = require('../package.json');

var _package2 = _interopRequireDefault(_package);

var _check = require('../check');

var _check2 = _interopRequireDefault(_check);

var _logo = require('./utils/logo');

var _logo2 = _interopRequireDefault(_logo);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _check2.default)();

const notifier = (0, _updateNotifier2.default)({
  pkg: _package2.default
});

if (notifier.update && notifier.update.latest !== _package2.default.version && !_isCi2.default) {
  const old = notifier.update.current;
  const { latest } = notifier.update;
  let { type } = notifier.update;
  switch (type) {
    case 'major':
      type = _chalk2.default.red(type);
      break;
    case 'minor':
      type = _chalk2.default.yellow(type);
      break;
    case 'patch':
      type = _chalk2.default.green(type);
      break;
    default:
      break;
  }

  const changelog = `https://skpm.io/release-notes/`;
  notifier.notify({
    message: `New ${type} version of ${_package2.default.name} available! ${_chalk2.default.red(old)} → ${_chalk2.default.green(latest)}\n` + `${_chalk2.default.yellow('Changelog:')} ${_chalk2.default.cyan(changelog)}\n` + `Run ${_chalk2.default.green(`npm install -g ${_package2.default.name}`)} to update!`
  });
}

_yargs2.default.scriptName('skpm').command(_create2.default).command(_publish2.default).command(_log2.default).command(_login2.default).command(_logout2.default).usage(`${(0, _logo2.default)(`skpm ${_package2.default.version}`)}

For help with a specific command, enter:
  skpm help [command]
`).help().alias('h', 'help').demandCommand().strict().argv;